﻿<UserControl x:Class="TouchAndTeachWindows.Menu.BarMenu"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:localMenu="clr-namespace:TouchAndTeachWindows.Menu"
             mc:Ignorable="d" 
             Loaded="UserControl_Loaded" Unloaded="UserControl_Unloaded">
    <StackPanel Orientation="{Binding Orientation, RelativeSource={RelativeSource Mode=FindAncestor, 
                                 AncestorType={x:Type localMenu:BarMenu }}}">
        
        <StackPanel.Resources>
            <Style x:Key="ButtonStyle" TargetType="localMenu:MenuButton">
                <Setter Property="VerticalAlignment" Value="Center" />
                <Setter Property="HorizontalAlignment" Value="Center" />
            </Style>
        </StackPanel.Resources>
        
        <localMenu:MenuButton 
            IconMargin="0"
            x:Name="PreviousPage"
            Style="{StaticResource ButtonStyle}" 
            IconTemplate="{DynamicResource ArrowLeftTemplate}"
            Pressed="PreviousPage_Pressed"
            />

        <localMenu:MenuButton 
            x:Name="PenButton"
            Style="{StaticResource ButtonStyle}" 
            IconMargin="5" 
            IconTemplate="{DynamicResource PenTemplate}"
            IconColor="{Binding Color}" 
            Pressed="PenButton_Pressed"
            />

        <localMenu:MenuButton 
            x:Name="UndoButton"
            Style="{StaticResource ButtonStyle}" 
            IconMargin="5" 
            IconTemplate="{DynamicResource UndoTemplate}"
            IconColor="{Binding Color}" 
            Pressed="UndoButton_Pressed"
            />

        <localMenu:MenuButton 
            x:Name="ManipulationButton"
            Style="{StaticResource ButtonStyle}" 
            IconMargin="5" 
            IconTemplate="{DynamicResource ManipulationTemplate}"
            IconColor="{Binding Color}" 
            Pressed="ManipulationButton_Pressed"
            />

        <localMenu:MenuButton 
            IconMargin="0"
            x:Name="NextPage"
            Style="{StaticResource ButtonStyle}" 
            IconTemplate="{DynamicResource ArrowRightTemplate}"
            Pressed="NextPage_Pressed"
            />

    </StackPanel>
</UserControl>
